org.apache.sling.featureflags.impl

## Class ExecutionContextImpl

- java.lang.Object
- - org.apache.sling.featureflags.impl.ExecutionContextImpl

All Implemented Interfaces:
  ExecutionContext

    public class ExecutionContextImpl
    extends Object
    implements ExecutionContext

Implementation of the provider context.

### Constructor Summary

Constructors
Constructor and Description
`ExecutionContextImpl(Features features, javax.servlet.http.HttpServletRequest request)`

### Method Summary

Methods
`Features` `getFeatures()` Return the `Features` manager.
`javax.servlet.http.HttpServletRequest` `getRequest()` Returns a `HttpServletRequest` object to retrieve information which may influence the decision whether a `Feature` is enabled or not.
`org.apache.sling.api.resource.ResourceResolver` `getResourceResolver()` Returns a `ResourceResolver` object to retrieve information which may influence the decision whether a `Feature` is enabled or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecutionContextImpl

    public ExecutionContextImpl(Features features,
                        javax.servlet.http.HttpServletRequest request)

### Method Detail

#### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

Description copied from interface: `ExecutionContext`
Returns a `HttpServletRequest` object to retrieve information which may influence the decision whether a `Feature` is enabled or not. If a `HttpServletRequest` object is not available in the context, this method may return `null`.

Specified by:
  `getRequest` in interface `ExecutionContext`
Returns:
  the request or `null`

#### getResourceResolver

    public org.apache.sling.api.resource.ResourceResolver getResourceResolver()

Description copied from interface: `ExecutionContext`
Returns a `ResourceResolver` object to retrieve information which may influence the decision whether a `Feature` is enabled or not. If a `ResourceResolver` object is not available in the context, this method may return `null`.

Specified by:
  `getResourceResolver` in interface `ExecutionContext`
Returns:
  the resource resolver or `null`

#### getFeatures

    public Features getFeatures()

Description copied from interface: `ExecutionContext`
Return the `Features` manager. This allows a feature to find out about other features.

Specified by:
  `getFeatures` in interface `ExecutionContext`